%define name gnumeric
%define version 0.64
%define release 2mdk

Name: %{name}
Summary: A full-featured spreadsheet for GNOME.
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
Packager: Renaud Chaillat <rchaillat@mandrakesoft.com>
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}-48.xpm.bz2
Source2: %{name}-32.xpm.bz2
Source3: %{name}-16.xpm.bz2
Source4: %{name}-48.png.bz2
URL: http://www.gnome.org/gnumeric/
BuildRoot: %{_tmppath}/%{name}-buildroot

Requires: gnome-libs >= 1.0.57
Requires: libglade >= 0.16
Requires: guile >= 1.3 
Requires: gnome-print >= 0.25 
Requires: gtk+ >= 1.2.7 
Requires: gnome-core 
Requires: libole20 >= 0.1.7
Requires: libxml >= 1.8.5
Requires: gal >= 0.5
Requires: python
#Requires: ORBit
#Requires: bonobo 

BuildRequires: gnome-print-devel >= 0.25 libole20-devel >= 0.1.7
BuildRequires: libglade-devel >= 0.16
BuildRequires: libxml-devel >= 1.8.5
BuildRequires: gal-devel >= 0.5
#BuildRequires: ORBit-devel
#BuildRequires: bonobo-devel  

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  We have tried to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully we left the bugs behind :).

%package devel
Summary: Files necessary to develop gnumeric-based applications.
Group: Development/C

%description devel
The gnumeric-devel package includes files necessary to develop gnumeric-based
applications.

Install gnumeric-devel if you want to develop programs which will use gnumeric.

%prep
%setup -q

%build
%configure  --without-bonobo --without-gb

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
DESTDIR=$RPM_BUILD_ROOT 

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.xpm" section="Office" \
title="Gnumeric" longtitle="A full-featured spreadsheet for Gnome"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang

%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/gnumeric/%{version}/plugins/*/*.so

%doc AUTHORS ChangeLog NEWS BUGS README COPYING TODO
%{_libdir}/gnumeric/%{version}/plugins/*/*.xml
%{_datadir}/gnome/apps/*/gnumeric.desktop
%{_datadir}/gnome/help/gnumeric
%{_datadir}/gnome/ui/gnumeric.xml
%{_datadir}/%{name}/%{version}/autoformat-templates/*/*.xml
%{_datadir}/%{name}/%{version}/autoformat-templates/*/.category
%{_datadir}/%{name}/%{version}/glade/*.glade
%{_datadir}/%{name}/%{version}/python/*
%{_datadir}/%{name}/%{version}/templates/*.gnumeric
%{_datadir}/mc/templates/*
%{_datadir}/mime-info/*
%{_datadir}/oaf/GNOME_Gnumeric.oafinfo
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.png
# with bonobo
#%{_datadir}/gnumeric/0.63-bonobo/*
#%config %{_sysconfdir}/CORBA/servers/*

%files devel
%defattr (-, root, root)

%doc HACKING
%{_libdir}/gnumericConf.sh
%{_datadir}/%{name}/%{version}/idl/*.idl
%{_libdir}/%{name}/%{version}/plugins/*/*.la

%changelog
* Mon Mar 26 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.64-2mdk
- readded python scripts
- added missing .category files in autoformat templates directories 
(thanks to Laurent Montel for tumbling across the bug)

* Tue Mar 20 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.64-1mdk
- new version

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.63-2mdk
- minor corrections and more cleanup

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.63-1mdk
- new version
- separated devel package
- cleaned up spec

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.61-2mdk
- Recompiled against new gal

* Sun Dec 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.61-1mdk
- new and shiny source.
- changed the buildrequires and the requires for the newly named libole20.

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.58-1mdk
- new and shiny source.
- requires gnome-print >= 0.25
- requires gal >= 0.2.2
- buildrequires gnome-print-devel >= 0.25
- buildrequires gal >= 0.2.2

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.57-1mdk
- new version (needs gal)
- corrected install and added some files

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.56-4mdk
- added icons
- menu entry in spec file
- packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.56-3mdk
- BM (help by Damien)
- more macros

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.56-2mdk
- fix URL
- spec simplification through new chmou toys

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 0.56-1mdk
- updated to 0.56

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.54-1mdk
- updated to helix version.

* Sat May 27 2000 dam's <damien@mandrakesoft.com> 0.53-1mdk
- took new version from Helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.52-3mdk
- BuildRequires: gnome-print-devel.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-2mdk
- added a 32x32 icon for a better-looking KDE docking
- removed gnumeric.desktop because we don't need it, we have menu for that
- fixed /usr/share/locale/.. directory owns

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-1mdk
- took srpm from Helix [grrr.. they don't provide changelog, why?]
- add menu entry, with icon
